API Client Management
Manage API clients and credentials
get
Authorizations
Responses
200
API clients retrieved successfully
application/json
clientsobject · ApiClient[]Required
get/api-clients
GET /api-clients HTTP/1.1
Accept: */*
200
API clients retrieved successfully
{
"clients": [
{}
]
}post
Authorizations
Body
object · CreateApiClientsRequestDtoOptional
Responses
201
API client created successfully
application/json
clientSecretstringRequired
The raw client secret (only shown once during creation)
messagestringRequired
Important message about storing the secret
post/api-clients
POST /api-clients HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 2
{}201
API client created successfully
{
"clientSecret": "text",
"message": "text"
}delete
Authorizations
Path parameters
clientIdstringRequired
Responses
200
API client revoked successfully
application/json
messagestringRequired
delete/api-clients/{clientId}
DELETE /api-clients/{clientId} HTTP/1.1
Accept: */*
200
API client revoked successfully
{
"message": "text"
}patch
Authorizations
Path parameters
clientIdstringRequired
Responses
200
Secret rotated successfully
application/json
clientIdstringRequired
clientSecretstringRequired
messagestringRequired
patch/api-clients/{clientId}/rotate-secret
PATCH /api-clients/{clientId}/rotate-secret HTTP/1.1
Accept: */*
200
Secret rotated successfully
{
"clientId": "text",
"clientSecret": "text",
"message": "text"
}Last updated
Was this helpful?